import quotedprice from '@/SDrpManagement/QuotedPrice/index'
import quotedPriceDetail from '@/SDrpManagement/QuotedPrice/detail/index'

import order from '@/SDrpManagement/agentOrder/index'
import agent_orderDetails from '@/SDrpManagement/agentOrder/details/index'
import ordersaler from '@/SDrpManagement/salerOrder/index'
import saler_orderDetails from '@/SDrpManagement/salerOrder/details/index'

import sinvoiceapp from '@/SDrpManagement/sinvoiceapp/index'
import sinvoiceDetail from '@/SDrpManagement/sinvoiceapp/detail/detail'
import sinvoiceapp_saler from '@/SDrpManagement/invoiceapp_saler/index'
import sinvoiceDetail_saler from '@/SDrpManagement/invoiceapp_saler/detail/detail'
const SDrpManagement = [
  {
    path: '/products',
    name: 'products',
    meta: {
      title: '商品档案',
      ast_nav:true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/Products/index.vue')
  },
  {
    path: '/ProductDetails',
    name: 'products',
    meta: {
      title: '商品详情',
      ast_nav:true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/Products/modules/ProductDetails.vue')
  },
  {
    path: '/shopCart',
    name: 'shopCart',
    meta: {
      title: '购物车',
      ast_nav:true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/shopCart/index.vue')
  },
  {
    path: '/productgroup',
    name: 'productgroup',
    meta: {
      title: '商品组查询',
      ast_nav:true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/ProductGroup/index')
  },
  {
    path: '/groupDetail',
    name: 'groupDetail',
    meta: {
      title: '商品组详情',
      ast_nav:true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/ProductGroup/modules/GroupDetail/groupDetail')
  },
  {
    path: '/order',
    name: 'order',
    meta: {
      title: '订货订单',
      ast_nav:true,
      keeproute: true
    },
    component: order,
    children:[
      {
        path: '/agent_orderDetails',
        name: 'order',
        meta: {
          title: '订货订单',
          ast_nav:true,
          keeproute: true
        },
        component: agent_orderDetails
      }
    ]
  },
  {
    path: '/ordersaler',
    name: 'ordersaler',
    meta: {
      title: '订货订单(业务员)',
      ast_nav:true,
      keeproute: true
    },
    component: ordersaler,
    children:[
      {
        path: '/saler_orderDetails',
        name: 'ordersaler',
        meta: {
          title: '订货订单(业务员)',
          ast_nav:true,
          keeproute: true
        },
        component: saler_orderDetails
      }
    ]
  },
  {
    path: '/salerPrivatecustomer',
    name: 'salerPrivatecustomer',
    meta: {
      title: '客户',
      ast_nav:true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/salerPrivatecustomer/index'),
    children:[
      {
        path: '/customerDetail',
        name: 'salerPrivatecustomer',
        meta: {
          title: '客户详情',
          ast_nav:true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/salerPrivatecustomer/detail/customerDetail')
      }
    ]
  },
  {
    path: '/quotedprice',
    name: 'quotedprice',
    meta: {
      title: "项目报价",
      ast_nav:true,
      keeproute: true
    },
    component: quotedprice,
    children:[
      {
        path: '/quotedPriceDetail',
        name: 'quotedprice',
        meta: {
          title: "项目报价详情",
          ast_nav:true,
          keeproute: true
        },
        component: quotedPriceDetail
      },
      {
        path: '/quotedPriceCopy',
        name: 'quotedprice',
        meta: {
          title: "项目报价复制",
          ast_nav:true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/Form/QuotedPrice/editCopy')
      },
    ]
  },
  {
    path: '/sinvoiceapp',
    name:'sinvoiceapp',
    meta: {
      title: '开票申请',
      ast_nav: true,
      keeproute: true,
    },

    component: sinvoiceapp,
    children: [
      {
        path: '/sinvoiceDetail',
        name:'sinvoiceapp',
        meta: {
          title: '开票申请单详情',
          ast_nav: true,
          keeproute: true,
        },
        component: sinvoiceDetail
      },
    ]
  },
  {
    path: '/sinvoiceapp_saler',
    name:'sinvoiceapp_saler',
    meta: {
      title: '开票申请(业务)',
      ast_nav: true,
      keeproute: true,
    },
    component: sinvoiceapp_saler,
    children: [
      {
        path: '/sinvoiceDetail_saler',
        name:'sinvoiceapp_saler',
        meta: {
          title: '开票申请单详情',
          ast_nav: true,
          keeproute: true,
        },
        component: sinvoiceDetail_saler
      },
    ]
  },
  {
    path: '/toolBorrowing',
    name:'toolBorrowing',
    meta: {
      title: '工具借用',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/toolBorrowing/index'),
    children: [
      {
        path: '/toolBorrowingDetail',
        name:'toolBorrowing',
        meta: {
          title: '工具借用',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/toolBorrowing/detail')
      },
    ]
  },
  {
    path: '/toolBorrowing_saler',
    name:'toolBorrowing_saler',
    meta: {
      title: '工具借用',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/salerToolBorrowing/index'),
    children: [
      {
        path: '/toolBorrowing_salerDetail',
        name:'toolBorrowing_saler',
        meta: {
          title: '工具借用',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/salerToolBorrowing/detail/index')
      },
    ]
  },
  {
    path: '/performanceGoals',
    name:'performanceGoals',
    meta: {
      title: '业绩目标',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/performanceGoals/index')
  },
  {
    path: '/performanceGoals_saler',
    name:'performanceGoals_saler',
    meta: {
      title: '业绩目标',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/performanceGoals_saler/index')
  },
  {
    path: '/rebateset',
    name:'rebateset',
    meta: {
      title: '居间费结算',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/rebatesettlement/index')
  },
  {
    path: '/myaccountclass',
    name:'myaccountclass',
    meta: {
      title: '我的账户',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/myaccountclass/index')
  },
  {
    path: '/projectPrediction',
    name:'projectPrediction',
    meta: {
      title: '项目成交预测',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/projectPrediction/index'),
    children: [
      {
        path: '/projectPredictionDetail',
        name: 'projectPrediction',
        meta: {
          title: '项目成交预测详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/projectPrediction/detail/subordinate'),
      },
    ]
  },
  {
    path: '/invoicePrediction',
    name:'invoicePrediction',
    meta: {
      title: '出货开票预测',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/invoicePrediction/index'),
    children: [
      {
        path: '/invoicePredictionDetail',
        name: 'invoicePrediction',
        meta: {
          title: '出货开票预测详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/invoicePrediction/detail/subordinate'),
      },
    ]
  },
  {
    path: '/salerAccount',
    name: 'salerAccount',
    meta: {
      title: '业务员账户',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/salerAccount/index'),
    children: [
      {
        path: '/salerAccountDetail',
        name:'salerAccount',
        meta: {
          title: '业务员账户明细',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/salerAccount/modules/detail')
      },
    ]
  },
  {
    path: '/salerIncome',
    name: 'salerIncome',
    meta: {
      title: '业务员收入',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/salerIncome/index'),
    children: [
      {
        path: '/salerIncomeDetail',
        name: 'salerIncome',
        meta: {
          title: '业务员收入详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/salerIncome/detail/index'),
      },
    ]
  },
  {
    path: '/salerExpenditure',
    name: 'salerExpenditure',
    meta: {
      title: '业务员支出',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/salerExpenditure/index'),
    children: [
      {
        path: '/salerExpenditureDetail',
        name: 'salerExpenditure',
        meta: {
          title: '业务员支出详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/salerExpenditure/detail/index'),
      },
    ]
  },
  {
    path: '/commissionDistribution',
    name: 'commissionDistribution',
    meta: {
      title: '提成发放',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/commissionDistribution/index'),
    children: [
      {
        path: '/commissionDistributionDetail',
        name: 'commissionDistribution',
        meta: {
          title: '提成发放详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/commissionDistribution/detail/index'),
      },
    ]
  },

  {
    path: '/accountsOverdueAdjustment',
    name:'accountsOverdueAdjustment',
    meta: {
      title: '应收账款逾期调整单',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/accountsOverdueAdjustment/index'),
    children: [
      {
        path: '/overdueAdjustmentDetail',
        name: 'accountsOverdueAdjustment',
        meta: {
          title: '应收账款逾期调整单详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/accountsOverdueAdjustment/details/index'),
      },
    ]
  },
  {
    path: '/accountsReceivable',
    name: 'accountsReceivable',
    meta: {
      title: '应收账款',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/accountsReceivable/index')
  }
]
export default SDrpManagement
