const OptionSystem = [
    {
      path: '/itemManage',
      name: 'itemManage',
      meta: {
        title: '主阀列表',
        ast_nav: true
      },
      component: () => import(/* webpackChunkName: "about" */ '@/optionSystem/itemManage/index.vue'),
      children: [
        {
          path: '/itemDetail',
          name: 'itemManage',
          meta: {
            title: '主阀详情',
            ast_nav: true,
            keeproute: true
          },
          component: () => import(/* webpackChunkName: "about" */ '@/optionSystem/itemManage/detail/index.vue')
        },]
    },
    {
      path: '/throttleManage',
      name: 'throttle',
      meta: {
        title: '节流件列表',
        ast_nav: true
      },
      component: () => import(/* webpackChunkName: "about" */ '@/optionSystem/throttleManage/index.vue'),
      children: [
        {
          path: '/throttleDetail',
          name: 'throttle',
          meta: {
            title: '节流件详情',
            ast_nav: true,
            keeproute: true
          },
          component: () => import(/* webpackChunkName: "about" */ '@/optionSystem/throttleManage/detail/index.vue')
        },]
    },
    {
      path: '/otherFile',
      name: 'otherFile',
      meta: {
        title: '其他辅件列表',
        ast_nav: true
      },
      component: () => import(/* webpackChunkName: "about" */ '@/optionSystem/otherFileManage/index.vue'),
      children: [
        {
          path: '/otherFileDetail',
          name: 'otherFile',
          meta: {
            title: '其他辅件详情',
            ast_nav: true,
            keeproute: true
          },
          component: () => import(/* webpackChunkName: "about" */ '@/optionSystem/otherFileManage/detail/index.vue')
        },]
    },
    {
      path: '/executeManage',
      name: 'executeManage',
      meta: {
        title: '执行器管理列表',
        ast_nav: true
      },
      component: () => import(/* webpackChunkName: "about" */ '@/optionSystem/executeManage/index.vue'),
      children: [
        {
          path: '/executeDetail',
          name: 'executeManage',
          meta: {
            title: '执行器管理详情',
            ast_nav: true,
            keeproute: true
          },
          component: () => import(/* webpackChunkName: "about" */ '@/optionSystem/executeManage/detail/index.vue')
        },]
    },
    {
      path: '/speedboxManage',
      name: 'speedboxManage',
      meta: {
        title: '减速箱管理列表',
        ast_nav: true
      },
      component: () => import(/* webpackChunkName: "about" */ '@/optionSystem/speedBoxManage/index.vue'),
      children: [
        {
          path: '/speedboxDetail',
          name: 'speedboxManage',
          meta: {
            title: '减速箱管理详情',
            ast_nav: true,
            keeproute: true
          },
          component: () => import(/* webpackChunkName: "about" */ '@/optionSystem/speedBoxManage/detail/index.vue')
        },]
    },
    {
      path: '/attriteManage',
      name: 'attriteManage',
      meta: {
        title: '属性管理',
        ast_nav: true
      },
      component: () => import(/* webpackChunkName: "about" */ '@/optionSystem/attriteManage/index.vue'),
    },
    {
      path: '/FProductManage',
      name: 'FProductManage',
      meta: {
        title: '成品列表',
        ast_nav: true
      },
      component: () => import(/* webpackChunkName: "about" */ '@/optionSystem/FProductManage/index.vue'),
      children: [
        {
          path: '/FProductDetail',
          name: 'FProductManage',
          meta: {
            title: '成品详情',
            ast_nav: true,
            keeproute: true
          },
          component: () => import(/* webpackChunkName: "about" */ '@/optionSystem/FProductManage/detail/index.vue')
        },]
    },
    {
      path: '/optionOrder',
      name: 'optionorder',
      meta: {
        title: '选型单列表',
        ast_nav: true
      },
      component: () => import(/* webpackChunkName: "about" */ '@/optionSystem/optionOrder/index.vue'),
      children: [
        {
          path: '/optionOrderDetail',
          name: 'optionorder',
          meta: {
            title: '选型单详情',
            ast_nav: true,
            keeproute: true
          },
          component: () => import(/* webpackChunkName: "about" */ '@/optionSystem/optionOrder/detail/index.vue')
        },]
    },
    {
      path: '/diefaOption',
      name: 'diefaOption',
      meta: {
        title: '蝶阀选型',
        ast_nav: true
      },
      component: () => import(/* webpackChunkName: "about" */ '@/optionSystem/valveOption/DieFa.vue'),
    },
    {
      path: '/priceRuleManage',
      name: 'priceRuleManage',
      meta: {
        title: '价格规则管理',
        ast_nav: true
      },
      component: () => import(/* webpackChunkName: "about" */ '@/optionSystem/priceRuleManage/index.vue'),
    },
]

export default OptionSystem
